> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ringbee.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# URL to PDF

> Convert a web page to PDF by URL

<RequestExample>
  ```json Example Request theme={null}
  {
    "input": "https://example.com/document.pdf",
    "url": "https://example.com",
    "page_size": "A4"
  }
  ```
</RequestExample>

| Param      | Type   | Description                             |
| ---------- | ------ | --------------------------------------- |
| url        | string | Web page URL to convert                 |
| page\_size | string | Output page size (e.g., "A4", "Letter") |


## OpenAPI

````yaml POST /v1/document/url-to-pdf
openapi: 3.0.3
info:
  title: MediAPI
  description: >-
    Media processing API — video, audio, image, and document transformations via
    simple REST calls.
  version: 1.0.0
servers:
  - url: https://api.ringbee.dev
    description: Production
security:
  - apiKey: []
paths:
  /v1/document/url-to-pdf:
    post:
      tags:
        - Document
      summary: URL to PDF
      description: Convert a web page to PDF by URL
      operationId: documentUrlToPdf
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - input
              properties:
                input:
                  type: string
                  description: Input file URL
                url:
                  type: string
                  description: Web page URL to convert
                page_size:
                  type: string
                  description: Output page size (e.g., "A4", "Letter")
                webhook_url:
                  type: string
                  description: URL to receive job completion notification
      responses:
        '202':
          description: Job accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Usage limit reached
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    JobResponse:
      type: object
      properties:
        id:
          type: string
          example: job_abc123
        status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
            - cancelled
          example: pending
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key

````